import { Story } from '@storybook/react';
import { DatePicker } from './Date';
import { DatePickerProps, KeyboardDatePickerProps } from '@material-ui/pickers';
declare const _default: {
    title: string;
    component: typeof DatePicker;
    argTypes: {
        label: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        type: {
            control: string;
            options: string[];
            table: {
                type: {
                    summary: string;
                };
            };
        };
        defaultValue: {
            control: {
                type: string;
            };
            options: string[];
            table: {
                type: {
                    summary: string;
                };
            };
        };
        allowKeyboardControl: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        animateYearScrolling: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        autoOk: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        disabled: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        disableFuture: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        disablePast: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        disableToolbar: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        initialFocusedDate: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        minDate: {
            control: {
                type: string;
            };
            options: Date[];
            table: {
                type: {
                    summary: string;
                };
            };
        };
        maxDate: {
            control: {
                type: string;
            };
            options: Date[];
            table: {
                type: {
                    summary: string;
                };
            };
        };
        views: {
            control: string;
            options: string[];
            table: {
                type: {
                    summary: string;
                };
            };
        };
        color: {
            control: string;
            options: string[];
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        variant: {
            control: string;
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const DefaultDate: Story<DatePickerProps>;
export declare const DateLabel: Story<DatePickerProps>;
export declare const DateClearable: Story<DatePickerProps>;
export declare const YearOnly: Story<DatePickerProps>;
export declare const YearMonthOnly: Story<DatePickerProps>;
export declare const CalendarOnly: Story<DatePickerProps>;
export declare const DateStaticVertical: Story<DatePickerProps>;
export declare const DateStaticHorizontal: Story<DatePickerProps>;
export declare const DateKeyboardInput: Story<KeyboardDatePickerProps>;
export declare const DateKeyboardInline: Story<KeyboardDatePickerProps>;
