import { Story } from '@storybook/react';
import { DateTimePicker } from './DateTime';
import { DateTimePickerProps, KeyboardDateTimePickerProps } from '@material-ui/pickers';
declare const _default: {
    title: string;
    component: typeof DateTimePicker;
    argTypes: {
        label: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        ampm: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        autoOk: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        disabled: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        disableFuture: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        disablePast: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        disableToolbar: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        initialFocusedDate: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        minDate: {
            control: {
                type: string;
            };
            options: Date[];
            table: {
                type: {
                    summary: string;
                };
            };
        };
        maxDate: {
            control: {
                type: string;
            };
            options: Date[];
            table: {
                type: {
                    summary: string;
                };
            };
        };
        views: {
            control: string;
            options: string[];
            table: {
                type: {
                    summary: string;
                };
            };
        };
        color: {
            control: string;
            options: string[];
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        variant: {
            control: string;
            options: string[];
            table: {
                type: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const DefaultDateTime: Story<DateTimePickerProps>;
export declare const DateTimeLabel: Story<DateTimePickerProps>;
export declare const RegularClock: Story<DateTimePickerProps>;
export declare const TodayButton: Story<DateTimePickerProps>;
export declare const DateTimeKeyboardInput: Story<KeyboardDateTimePickerProps>;
