import { Story } from '@storybook/react';
import { TextFieldProps } from '@mui/material';
import { TextField } from './TextField';
declare const _default: {
    title: string;
    component: typeof TextField;
    argTypes: {
        id: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        label: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        placeholder: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        helperText: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        value: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        required: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        fullWidth: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        disabled: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        autoFocus: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        type: {
            control: string;
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        color: {
            control: string;
            options: string[];
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        size: {
            control: string;
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        variant: {
            control: string;
            options: string[];
            table: {
                type: {
                    summary: string;
                };
            };
        };
        multiline: {
            control: string;
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        rows: {
            control: string;
            min: number;
            max: number;
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        rowsMax: {
            control: string;
            min: number;
            max: number;
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        onChange: {
            action: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<TextFieldProps>;
export declare const WidthLabel: Story<TextFieldProps>;
export declare const WidthLabelShrink: Story<TextFieldProps>;
export declare const WidthLabelIcon: Story<TextFieldProps>;
export declare const Date: Story<TextFieldProps>;
export declare const DateTimeLocal: Story<TextFieldProps>;
export declare const Email: Story<TextFieldProps>;
export declare const Hidden: Story<TextFieldProps>;
export declare const Number: Story<TextFieldProps>;
export declare const Password: Story<TextFieldProps>;
export declare const Tel: Story<TextFieldProps>;
export declare const Time: Story<TextFieldProps>;
export declare const Url: Story<TextFieldProps>;
export declare const Week: Story<TextFieldProps>;
export declare const WithIcon: Story<TextFieldProps>;
