import { Story } from '@storybook/react';
import { StepperProps, MobileStepperProps } from '@mui/material';
import { Stepper } from '../../index';
declare const _default: {
    title: string;
    component: typeof Stepper;
    argTypes: {
        children: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        classes: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        activeStep: {
            control: {
                type: string;
            };
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        orientation: {
            control: string;
            options: string[];
            defaultValue: string;
        };
        connector: {
            control: {
                type: string;
            };
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        alternativeLabel: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        nonLinear: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const HorizontalLinearStepper: Story<StepperProps>;
export declare const HorizontalLinearAlternativeStepper: Story<StepperProps>;
export declare const HorizontalNonLinearStepper: Story<StepperProps>;
export declare const HorizontalNonLinearAlternativeStepper: Story<StepperProps>;
export declare const VerticalLinearAlternativeStepper: Story<StepperProps>;
export declare const DotStepper: Story<MobileStepperProps>;
export declare const ProgressStepper: Story<MobileStepperProps>;
